> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Challenge

> Generate an API Key Challenge for an account. Once you've generate your challenge, you need to [verify](/api-reference/endpoint/api-key/post-keyverify) it.



## OpenAPI

````yaml post /key/challenge
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /key/challenge:
    post:
      tags:
        - API Key
      description: Generate an API Key Challenge for wallet address
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                public_address:
                  type: string
                  pattern: ^(0x)?[0-9a-fA-F]{40}$
                  description: User 's Ethereum address
                  example: '0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266'
              required:
                - public_address
      responses:
        '200':
          description: API Key Challenge
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                    description: Successful reponse status
                    example: success
                  challenge:
                    type: string
                    description: Challenge for the user to sign
                    example: >-
                      b1c2903bea5b294543e751b1742256e7bd44002f6460c6b2a1f8643984d5b513
                required:
                  - status
                  - challenge
      security: []
      servers:
        - url: https://api.openformat.tech
          description: Live server
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````